body {
    margin-left: 10%;
    margin-right: 10%;
    font-family: monospace;
    color: #303030;
    background-color: #f0f0d0;
}

div.header {
    text-align: center;
    color: #f0f0d0;
    background-color: #566a12;
    border-radius: 8px;
    padding: 16px;
}

a {
    color: #f0f0d0;
    text-decoration: none;
}

div.header div.title {
    font-weight: bold;
    font-size: 1.4em;
    padding-bottom: 8px;
}

div.header div.tagline {
    font-size: 1em;
    font-style: italic;
}

div.footer {
    text-align: center;
    color: #f0f0d0;
    background-color: #566a12;
    border-radius: 8px;
    padding: 10px;
}

div.footer div.quote {
    font-size: 1em;
    font-style: italic;
}

div.body {
    overflow: hidden;
    color: #566a12;
}

div.content {
    width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: center;
}

div.page {
    width: 70%;
    display: inline-block;
    text-align: left;
}

div.page h1 {
    font-size: 1.4em;
}

div.page a:link {
    color: #566a12;
    text-decoration: underline;
}

div.page a:visited {
    color: #566a12;
}

div.toolbar {
    text-align: center;
    margin-top: 6px;
    background-color: #566a12;
    border-radius: 8px;
    padding: 10px;
}

div.toolbar a {
    padding-left: 4px;
    padding-right: 4px;
    text-decoration: underline;
}

div.toolbar a:link {
    color: #f0f0d0;
}

div.toolbar a:visited {
    color: #f0f0d0;
}

div.toolbar a:hover {
    background-color: #566a12;
}

div.board {
    text-align: center;
}

div.modal {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    visibility: hidden;
}

div.modal-content {
    position: absolute;
    border-radius: 8px;
    padding: 16px;
    background-color: #f0f0d0;
    line-height: 1.6;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

div.modal-content a {
    color: #566a12;
    text-decoration: underline;
}

div.modal-content-small {
    width: 60%;    
}

div.modal-content-large {
    width: 25%;    
}

div.show-modal {
    opacity: 1;
    visibility: visible;
}

img.logo {
    width: 32px;
}

div.cm-prop-table-div {
    display: flex;
    justify-content: center;
}

td.cm-prop-table-label {
    padding-left: 8px;
    text-align: right;
}

div.cm-message {
    color: #f0f0d0;
    background-color: #566a12;
    border-radius: 8px;
    margin-top: 6px;
    margin-bottom: 6px;
    padding: 10px;
}

td.cm-button {
    text-align: left;
    background-color: #f0f0d0;
}

div.cm-upload-text {
    line-height: 24px;
}

input.cm-button {
    padding: 10px;
    color: #566a12;
    background-color: #f0f0d0;
    border: 1px solid #566a12;
    border-radius: 4px;
}

::file-selector-button {
    padding: 12px;
    text-align: left;
    background-color: #566a12;
    color: #f0f0d0;
    border: none;
    border-radius: 4px;
}

.checkbox-wrapper .cm-checkbox {
    appearance: none;
    background-color: #566a12;
    border-radius: 72px;
    border-style: none;
    flex-shrink: 0;
    height: 20px;
    margin: 0;
    position: relative;
    width: 30px;
}

.checkbox-wrapper .cm-checkbox::before {
    bottom: -6px;
    content: "";
    left: -6px;
    position: absolute;
    right: -6px;
    top: -6px;
}

.checkbox-wrapper .cm-checkbox,
.checkbox-wrapper .cm-checkbox::after {
    transition: all 100ms ease-out;
}

.checkbox-wrapper .cm-checkbox::after {
    background-color: #f0f0d0;
    border-radius: 50%;
    content: "";
    height: 14px;
    left: 3px;
    position: absolute;
    top: 3px;
    width: 14px;
}

.checkbox-wrapper input[type=checkbox] {
    cursor: default;
}

.checkbox-wrapper .cm-checkbox:checked {
    background-color: #566a12;
}

.checkbox-wrapper .cm-checkbox:checked::after {
    background-color: #f0f0d0;
    left: 13px;
}

.checkbox-wrapper :focus:not(.focus-visible) {
    outline: 0;
}

.checkbox-wrapper .cm-checkbox:checked:hover {
    background-color: #566a12;
}

div.cm-src {
    text-align: left;
    background: #272822;
    color: #ddd;
    border-radius: 8px;
}

code {
    white-space: pre-wrap;
}

div.pwd {
    font-size: 1.4em;
    padding: 10px
}

div.pwd-state {
    padding: 10px
}

input.pwd-another {
    padding: 10px;
    color: #f0f0d0;
    background-color: #566a12;
    cursor: pointer;
    border: none;
    border-radius: 4px;
}
